require_relative 'results_keeper_rspec/results_sender'
require 'singleton'
require 'fileutils'

class ResultsKeeperRspec
  include Singleton

  attr_reader :results_sender

  def initialize
    @results_sender = RkRspec::ResultsSender.new
  end

  def send_revision
    @results_sender.send_revision
  end

  def send_revision_complete
    @results_sender.send_revision_complete
  end

  def send_test(scenario)
    unless @results_sender.send_test(scenario)
      @results_sender.add_test_to_tmp(scenario)
    end
  end
end
